Page MenuHomePhabricator

Editor and image upload license is hardcoded
Closed, ResolvedPublic

Description

Author: jgonera

Description:
The licenses we show in the editor and image uploads are Wikimedia-specific. This should be configurable, possibly using WikimediaMessages.

Similar to bug 53595.


Version: unspecified
Severity: normal
Whiteboard: gci2013
URL: http://www.google-melange.com/gci/task/view/google/gci2013/6460086146826240

Details

Reference
bz56639

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:42 AM
bzimport set Reference to bz56639.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 5 2013, 11:10 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1369

This might be a good Google summer code in task Quim.

Qgil added a comment.Dec 28 2013, 6:18 PM

Thank you!

Change 104906 had a related patch set uploaded by M4tx:
Add an ability to change the copyright warning in editor and uploader

https://gerrit.wikimedia.org/r/104906

Change 104907 had a related patch set uploaded by M4tx:
Add support for new MobileFrontend copyright warnings

https://gerrit.wikimedia.org/r/104907

Change 104907 merged by jenkins-bot:
Add support for new MobileFrontend copyright warnings

https://gerrit.wikimedia.org/r/104907

  • Bug 61835 has been marked as a duplicate of this bug. ***

The first patch still has not been merged. There has been no activity in some time so changing back from PATCH_TO_REVIEW

Telling people to release their contributions under the incorrect license (as currently the case is on wikinews) is a serious issue, and threatens the legal foundations of our projects.

Change 104906 abandoned by Jdlrobson:
Add an ability to change the copyright warning in editor and uploader

Reason:
Please feel free to re-open this patchset and see it to completion! Abandoning so it disappears from the queue of things to review due to inactivity.

https://gerrit.wikimedia.org/r/104906

This bug can be closed as resolved -> fixxed, am i right? MobileFrontend uses the License set in LocalSettings for both editing and uploading :)

See https://gerrit.wikimedia.org/r/#/c/116016 introducing function "getLicenselink()".